For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all features
      • POSTCreate a feature
      • PUTUpdate or create a feature (upsert)
      • GETGet a feature by resource ID
      • DELDelete a feature by resource ID
      • PATCHUpdate a feature
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIFeatures

Get a list of all features

GET
/v:version/features
GET
/v:version/features
$curl https://test.api.solvimon.com/v1/features \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "name": "string",
8 "description": "string",
9 "type": "SWITCH",
10 "enum_values": [
11 "string"
12 ],
13 "meter_value_calculation_id": "string",
14 "meter_value_calculation": {
15 "object_type": "string",
16 "id": "string",
17 "reference": "string",
18 "name": "string",
19 "description": "string",
20 "calculation_type": "SUM",
21 "persist": true,
22 "meter_id": "string",
23 "meter": {
24 "object_type": "string",
25 "id": "string",
26 "reference": "string",
27 "name": "string",
28 "description": "string",
29 "status": "DRAFT",
30 "meter_values": [
31 {
32 "id": "string",
33 "object": {
34 "object_type": "string",
35 "id": "string",
36 "reference": "string",
37 "name": "string",
38 "description": "string",
39 "status": "DRAFT",
40 "type": "NUMBER"
41 },
42 "required": true
43 }
44 ],
45 "meter_properties": [
46 {
47 "id": "string",
48 "object": {
49 "object_type": "string",
50 "id": "string",
51 "reference": "string",
52 "name": "string",
53 "description": "string",
54 "status": "DRAFT",
55 "type": "NUMBER",
56 "enum_values": [
57 "string"
58 ]
59 },
60 "required": true
61 }
62 ]
63 },
64 "meter_value_id": "string",
65 "meter_value": {
66 "object_type": "string",
67 "id": "string",
68 "reference": "string",
69 "name": "string",
70 "description": "string",
71 "status": "DRAFT",
72 "type": "NUMBER"
73 },
74 "meter_property_id": "string",
75 "meter_property": {
76 "object_type": "string",
77 "id": "string",
78 "reference": "string",
79 "name": "string",
80 "description": "string",
81 "status": "DRAFT",
82 "type": "NUMBER",
83 "enum_values": [
84 "string"
85 ]
86 }
87 }
88 }
89 ]
90}
Requires the FEATURE.VIEW permission.
Was this page helpful?
Previous

Create a feature

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error